# Expiries (Core)

Endpoints to read and modify expires, e.g. by extending the provisioning time.

## Get expiries

> This part of the API is in Beta status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to read and modify expires, for example, by extending the provisioning time.","name":"Expiries (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ExpiryEntityStatus":{"enum":["ACTIVE","INACTIVE"],"type":"string","title":"ExpiryEntityStatus","description":"ExpiryEntityStatus"},"ExpiryEntity":{"additionalProperties":false,"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"expiryTime":{"description":"Time where the connected process expires, if not fulfilled","format":"date-time","type":"string"},"id":{"description":"Generated identifier of this entity","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"processRef":{"description":"Reference to the Process of this Entity","type":"string"},"processVersion":{"description":"the version of the process this expiry entity belongs to, needed for preventing of faulty changes via late messages","format":"int64","type":"integer"},"provisioningTime":{"description":"Planned time where this entity should be provided or handed over to the customer","format":"date-time","type":"string"},"status":{"$ref":"#/components/schemas/ExpiryEntityStatus"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["id","version","created","lastModified","processRef","provisioningTime","expiryTime","status"],"title":"ExpiryEntity","description":"ExpiryEntity"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/expiries":{"get":{"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />","operationId":"getExpiries","parameters":[{"description":"Status to filter the results","in":"query","name":"status","required":false,"schema":{"$ref":"#/components/schemas/ExpiryEntityStatus"}},{"description":"ProcessRef to filter the results","in":"query","name":"processRef","required":false,"schema":{"type":"string"}},{"description":"StartDate to filter the results. Expiry Date of results is after or equals the given value","in":"query","name":"startDate","required":false,"schema":{"format":"date-time","type":"string"}},{"description":"EndDate to filter the results. Expiry Date of results is before or equals the given value","in":"query","name":"endDate","required":false,"schema":{"type":"string"}},{"description":"entity to start after","in":"query","name":"startAfterId","required":false,"schema":{"type":"string"}},{"description":"number of entities to show","in":"query","name":"size","required":false,"schema":{"default":25,"type":"integer"}}],"responses":{"200":{"content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/ExpiryEntity"},"type":"array"}}},"description":"found entities in the result."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Get expiries","tags":["Expiries (Core)"]}}}}
```

## Create expiry

> This part of the API is in Beta status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to read and modify expires, for example, by extending the provisioning time.","name":"Expiries (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ExpiryEntityForCreation":{"additionalProperties":false,"properties":{"processRef":{"description":"Reference to the Process for which this expiry entity will be created","type":"string"},"provisioningTime":{"description":"Planned time where this entity should be provided or handed over to the customer","format":"date-time","type":"string"},"status":{"$ref":"#/components/schemas/ExpiryEntityStatus"}},"required":["processRef","provisioningTime","status"],"title":"ExpiryEntityForCreation","description":"ExpiryEntityForCreation"},"ExpiryEntityStatus":{"enum":["ACTIVE","INACTIVE"],"type":"string","title":"ExpiryEntityStatus","description":"ExpiryEntityStatus"},"ExpiryEntity":{"additionalProperties":false,"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"expiryTime":{"description":"Time where the connected process expires, if not fulfilled","format":"date-time","type":"string"},"id":{"description":"Generated identifier of this entity","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"processRef":{"description":"Reference to the Process of this Entity","type":"string"},"processVersion":{"description":"the version of the process this expiry entity belongs to, needed for preventing of faulty changes via late messages","format":"int64","type":"integer"},"provisioningTime":{"description":"Planned time where this entity should be provided or handed over to the customer","format":"date-time","type":"string"},"status":{"$ref":"#/components/schemas/ExpiryEntityStatus"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["id","version","created","lastModified","processRef","provisioningTime","expiryTime","status"],"title":"ExpiryEntity","description":"ExpiryEntity"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/expiries":{"post":{"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />","operationId":"createExpiry","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExpiryEntityForCreation"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExpiryEntity"}}},"description":"created entity in the result."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Create expiry","tags":["Expiries (Core)"]}}}}
```

## Get expiry

> This part of the API is in Beta status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to read and modify expires, for example, by extending the provisioning time.","name":"Expiries (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ExpiryEntity":{"additionalProperties":false,"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"expiryTime":{"description":"Time where the connected process expires, if not fulfilled","format":"date-time","type":"string"},"id":{"description":"Generated identifier of this entity","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"processRef":{"description":"Reference to the Process of this Entity","type":"string"},"processVersion":{"description":"the version of the process this expiry entity belongs to, needed for preventing of faulty changes via late messages","format":"int64","type":"integer"},"provisioningTime":{"description":"Planned time where this entity should be provided or handed over to the customer","format":"date-time","type":"string"},"status":{"$ref":"#/components/schemas/ExpiryEntityStatus"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["id","version","created","lastModified","processRef","provisioningTime","expiryTime","status"],"title":"ExpiryEntity","description":"ExpiryEntity"},"ExpiryEntityStatus":{"enum":["ACTIVE","INACTIVE"],"type":"string","title":"ExpiryEntityStatus","description":"ExpiryEntityStatus"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/expiries/{expiryId}":{"get":{"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />","operationId":"getExpiry","parameters":[{"description":"id for the searched entity","in":"path","name":"expiryId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExpiryEntity"}}},"description":"found entity in the result."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Get expiry","tags":["Expiries (Core)"]}}}}
```

## Update expiry

> This part of the API is in Beta status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to read and modify expires, for example, by extending the provisioning time.","name":"Expiries (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ExpiryEntityForUpdate":{"additionalProperties":false,"properties":{"provisioningTime":{"description":"Planned time where this entity should be provided or handed over to the customer","format":"date-time","type":"string"},"status":{"$ref":"#/components/schemas/ExpiryEntityStatus"},"version":{"description":"version of the entity you want to alter","type":"integer"}},"required":["version"],"title":"ExpiryEntityForUpdate","description":"ExpiryEntityForUpdate"},"ExpiryEntityStatus":{"enum":["ACTIVE","INACTIVE"],"type":"string","title":"ExpiryEntityStatus","description":"ExpiryEntityStatus"},"ExpiryEntity":{"additionalProperties":false,"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"expiryTime":{"description":"Time where the connected process expires, if not fulfilled","format":"date-time","type":"string"},"id":{"description":"Generated identifier of this entity","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"processRef":{"description":"Reference to the Process of this Entity","type":"string"},"processVersion":{"description":"the version of the process this expiry entity belongs to, needed for preventing of faulty changes via late messages","format":"int64","type":"integer"},"provisioningTime":{"description":"Planned time where this entity should be provided or handed over to the customer","format":"date-time","type":"string"},"status":{"$ref":"#/components/schemas/ExpiryEntityStatus"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["id","version","created","lastModified","processRef","provisioningTime","expiryTime","status"],"title":"ExpiryEntity","description":"ExpiryEntity"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/expiries/{expiryId}":{"patch":{"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />","operationId":"updateExpiry","parameters":[{"description":"id of the entity to be changed","in":"path","name":"expiryId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExpiryEntityForUpdate"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExpiryEntity"}}},"description":"changed entity in the result."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Update expiry","tags":["Expiries (Core)"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fulfillmenttools.com/documentation/apis/api-reference/expiries-core.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
